- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Protected Member Functions

# QFutureWatcherBase Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qfuturewatcher.h.

`#include <qfuturewatcher.h>`

Inheritance diagram for QFutureWatcherBase:
[legend]

List of all members.

## Public Slots
void | cancel ()
void | setPaused (bool paused)
void | pause ()
void | resume ()
void | togglePaused ()
## Signals
void | started ()
void | finished ()
void | canceled ()
void | paused ()
void | resumed ()
void | resultReadyAt (int resultIndex)
void | resultsReadyAt (int beginIndex, int endIndex)
void | progressRangeChanged (int minimum, int maximum)
void | progressValueChanged (int progressValue)
void | progressTextChanged (const QString &progressText)
## Public Member Functions
| QFutureWatcherBase (QObject *parent=0)
int | progressValue () const
int | progressMinimum () const
int | progressMaximum () const
QString | progressText () const
bool | isStarted () const
bool | isFinished () const
bool | isRunning () const
bool | isCanceled () const
bool | isPaused () const
void | waitForFinished ()
void | setPendingResultsLimit (int limit)
bool | event (QEvent *event)
## Protected Member Functions
void | connectNotify (const char *signal)
void | disconnectNotify (const char *signal)
void | connectOutputInterface ()
void | disconnectOutputInterface (bool pendingAssignment=false)

## Constructor & Destructor Documentation

QFutureWatcherBase | ( | QObject * | parent = `0` | ) |

## Member Function Documentation

int progressValue | ( |  | ) | const

Search for all occurrences

int progressMinimum | ( |  | ) | const

Search for all occurrences

int progressMaximum | ( |  | ) | const

Search for all occurrences

QString progressText | ( |  | ) | const

Search for all occurrences

bool isStarted | ( |  | ) | const

Search for all occurrences

bool isFinished | ( |  | ) | const

Search for all occurrences

bool isRunning | ( |  | ) | const

Search for all occurrences

bool isCanceled | ( |  | ) | const

Search for all occurrences

bool isPaused | ( |  | ) | const

Search for all occurrences

void waitForFinished | ( |  | ) |

Search for all occurrences

void setPendingResultsLimit | ( | int | limit | ) |

Search for all occurrences

bool event | ( | QEvent * | event | ) | `[virtual]`

Search for all occurrences

Reimplemented from QObject.

void started | ( |  | ) | `[signal]`

Search for all occurrences

void finished | ( |  | ) | `[signal]`

Search for all occurrences

void canceled | ( |  | ) | `[signal]`

Search for all occurrences

void paused | ( |  | ) | `[signal]`

Search for all occurrences

void resumed | ( |  | ) | `[signal]`

Search for all occurrences

void resultReadyAt | ( | int | resultIndex | ) | `[signal]`

Search for all occurrences

void resultsReadyAt | ( | int | beginIndex,
|  | int | endIndex
| ) |  | `[signal]`

Search for all occurrences

void progressRangeChanged | ( | int | minimum,
|  | int | maximum
| ) |  | `[signal]`

Search for all occurrences

void progressValueChanged | ( | int | progressValue | ) | `[signal]`

Search for all occurrences

void progressTextChanged | ( | const QString & | progressText | ) | `[signal]`

Search for all occurrences

void cancel | ( |  | ) | `[slot]`

Search for all occurrences

void setPaused | ( | bool | paused | ) | `[slot]`

Search for all occurrences

void pause | ( |  | ) | `[slot]`

Search for all occurrences

void resume | ( |  | ) | `[slot]`

Search for all occurrences

void togglePaused | ( |  | ) | `[slot]`

Search for all occurrences

void connectNotify | ( | const char * | signal | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

void disconnectNotify | ( | const char * | signal | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

void connectOutputInterface | ( |  | ) | `[protected]`

Search for all occurrences

void disconnectOutputInterface | ( | bool | pendingAssignment = `false` | ) | `[protected]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtCore/qfuturewatcher.h

QFutureWatcherBase QFutureWatcherBase QFutureWatcherBase QFutureWatcherBase QFutureWatcherBase QFutureWatcherBase QFutureWatcherBase QFutureWatcherBase QFutureWatcherBase QFutureWatcherBase
QFutureWatcherBase QFutureWatcherBase QFutureWatcherBase QFutureWatcherBase QFutureWatcherBase QFutureWatcherBase QFutureWatcherBase QFutureWatcherBase QFutureWatcherBase QFutureWatcherBase